Bug 1252467 - [ovirt-guest-agent] not useful paths reported in disksUsage while running dockerized
[ovirt-guest-agent] not useful paths reported in disksUsage while running doc...
Status: CLOSED CURRENTRELEASE
Product: ovirt-guest-agent
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
low Severity low (vote)
: ovirt-3.6.0-rc3
: 1.0.11-2
Assigned To: Vinzenz Feenstra [evilissimo]
Jiri Belka
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 09:44 EDT by Jiri Belka
Modified: 2016-02-10 14:23 EST (History)
10 users (show)

See Also:
Fixed In Version: 1.0.11-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 10:45:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45745 master MERGED Exclude mount targets which are files Never
oVirt gerrit 45747 ovirt-3.6 MERGED Exclude mount targets which are files Never

  None (edit)
Description Jiri Belka 2015-08-11 09:44:44 EDT
Description of problem:

# vdsClient -s 0 getAllVmStats | grep disksUsage
        disksUsage = [{'path': '/', 'total': '10725883904', 'fs': 'xfs', 'used': '537079808'}, {'path': '/sysroot', 'total': '3103539200', 'fs': 'ext4', 'used': '836751360'}, {'path': '/var/log/journal/ddd59b4adeb7fec230fde3b3b8a66622', 'total': '3103539200', 'fs': 'ext4', 'used': '836751360'}, {'path': '/etc/resolv.conf', 'total': '3103539200', 'fs': 'ext4', 'used': '836751360'}, {'path': '/etc/hostname', 'total': '3103539200', 'fs': 'ext4', 'used': '836751360'}, {'path': '/etc/hosts', 'total': '3103539200', 'fs': 'ext4', 'used': '836751360'}]

imo bind mounts should not be there as those are not useful

Version-Release number of selected component (if applicable):
ovirt-guest-agent-common-1.0.11-1.fc22

How reproducible:
100%

Steps to Reproduce:
1. install ovirt GA on atomic via docker build -t ovirt-agent . (cwd has files from https://github.com/vinzenz/ovirt-guest-agent-atomic/tree/master/fedora)
2. check vdsClient -s 0 getVmStats $ga-dockerized
3.

Actual results:
there are files - bind mounts probably - reported

Expected results:
only real and useful filesystems should be reported

Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2015-10-22 03:14:19 EDT
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 2 Red Hat Bugzilla Rules Engine 2015-10-23 10:11:41 EDT
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 3 Red Hat Bugzilla Rules Engine 2015-10-23 10:11:41 EDT
Fixed bug tickets must have target milestone set prior to fixing them. Please set the correct milestone and move the bugs back to the previous status after this is corrected.
Comment 4 Sandro Bonazzola 2015-11-05 03:21:01 EST
oVirt 3.6.0 has been released on November 4th, re-targeting to 4.0 since this bug has been marked with severity < high
Comment 5 Red Hat Bugzilla Rules Engine 2015-11-16 09:07:52 EST
This bug is flagged for 3.6, yet the milestone is for 4.0 version, therefore the milestone has been reset.
Please set the correct milestone or add the flag.
Comment 6 Pavel Stehlik 2016-01-13 10:45:37 EST
Closing old bugs. In case still happens, pls reopen.

Note You need to log in before you can comment on or make changes to this bug.